UDISKIE(8)

NAME
udiskie - automatic disk mounting service using udisks

SYNOPSIS

udiskie [-hv12fPst]

udiskie-mount [-h12vfPr] (-a | DEVICE...)

udiskie-umount [-h12ved] (-a | PATH...)

DESCRIPTION

udiskie uses udisks to automatically mount removable media, such as CDs and flash drives. It will mount the media in a new directory under '/media', using the device name if available. It is lightweight and runs as a daemon.

OPTIONS

-h, --help
    Show help message and exit.

-v, --verbose
    Verbose output.

-1, --use-udisks1
    Use UDisks1 as DBus backend (default)

-2, --use-udisks2
    Use UDisks2 as DBus backend (experimental)

-f FILE, --filters=<file>
    Alternate filter configuration.

-P PROMPT, --password-prompt=PROMPT
    Password prompt to use for unlocking. Default is zenity. This must be an executable that receives as its first two arguments the text and title to display and should print the password to its stdout in UTF-8 encoding.

-r, --recursive
    Recursively mount cleartext partitions after unlocking a LUKS device. This will happen by default running the udiskie daemon.

-s, --suppress
    Suppress pop-up notifications.

-t, --tray
    Show tray icon.

-a, --all
    Mount or unmount all external devices.

-e, --eject
    Eject media from the drive.

-d, --detach
    Detach drive by e.g. powering down its physical port.

DEPENDENCIES

dbus-python
    required for all operation modes.

PyGObject
    to run the automount/notification daemon (provides the main loop)

notify-python or notify2
    for mount notifications

zenity
    to unlock LUKS devices

PyGTK
    to show the system tray icon

EXAMPLE USAGE

Start udiskie in ~/.xinitrc:

    udiskie &

Unmount media and power down USB device:

    udiskie-umount --detach /media/Sticky

Mount all media:

    udiskie-mount /dev/sdb1

FILTERS

udiskie uses filters to apply additional mount options. On startup udiskie reads the filters in $XDG_CONFIG_HOME/udiskie/filters.conf (or the file specified with -f). Filters can match the filesystem type or the device UUID.

EXAMPLE FILTERS FILE

    [mount_options]
    fstype.vfat: sync
    uuid.9d53-13ba: noexec,nodev

SEE ALSO

udisks(1)

http://dbus.freedesktop.org/releases/dbus-python

http://ftp.gnome.org/pub/gnome/sources/pygobject/

http://www.galago-project.org/files/releases/source/notify-python

https://pypi.python.org/pypi/notify2

http://freecode.com/projects/zenity

http://www.pygtk.org

AUTHORS

Byron Clark <byron@theclarkfamily.name>